Author Topic: Polyline Vertice (move/change)  (Read 2615 times)

0 Members and 1 Guest are viewing this topic.

DanB

  • Bull Frog
  • Posts: 367
Polyline Vertice (move/change)
« on: January 05, 2005, 12:31:47 PM »
Wasn't entirely sure where to post this one, I will explain as best I can.

Example: User draws a closed polyline with 4 vertices (sp?) In the properties of this polyline, you can scroll through the vertices, each vertice is assigned a number. I would like to know if I can modify the sequence of the the vertices. For example original vertice "3" would become "1", "4" would become "2", etc. I do have a lisp that reverses direction so I think I have that part taken care of already, if the need arises. Thanks for any direction on this one.

Dan

DanB

  • Bull Frog
  • Posts: 367
Polyline Vertice (move/change)
« Reply #1 on: January 05, 2005, 12:45:18 PM »
Another thought to this.

The concept is actually to run the "Boundary" command on a lot/parcel, and I want to define the start (vertice "1") of the resulting polyline. Better than that would be to be able to choose Clockwise/Counter Clockwise as well. As mentioned above, I can reverse the "direction" through another lisp as well.

<corrected spelling>

Rob_Kish

  • Guest
Polyline Vertice (move/change)
« Reply #2 on: January 05, 2005, 08:17:22 PM »
Look INTO the Lisp you have that reverses direction. Note that it collects the Coordinates into a list or a safearray and reorders them. What you are asking (in your posts above) 'simply' requires taking each point sublist (made up of Grp 10 Grp 40 Grp 41 Grp 42) from the beginning and moving it to the end of the list/safearray, continue until you have desired pair at beginning.

Caution. Bulges (Grp 42). If Polyline is not closed, note that last bulge is zero. That bulge must remain zero as you move vertex points. I'd suggest (setq tst (entget (car (entsel))) (manually, at command line) of a prototype to see how it works.

whdjr

  • Guest
Polyline Vertice (move/change)
« Reply #3 on: January 06, 2005, 09:59:30 AM »
Is there any particular order you want to rearrange these points or are you going to leave it up to the user at run time?

Changing the location of points within a list and reapplying them back to the pline is not hard, but I am unclear on your implementation.

DanB

  • Bull Frog
  • Posts: 367
Polyline Vertice (move/change)
« Reply #4 on: January 06, 2005, 12:21:36 PM »
Thanks for the feedback so far. I would like it so the user could select a vertice to be the "start" or No. 1

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Polyline Vertice (move/change)
« Reply #5 on: January 06, 2005, 12:29:07 PM »
Something Like This?
User Picks Pline
HighLite 1st Vertex
User uses right/left arrow to move the highlite along the vertexes
User presses Enter to set the new first vertex
User presses R to reverse the order

Go for it Will.
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

whdjr

  • Guest
Polyline Vertice (move/change)
« Reply #6 on: January 06, 2005, 01:26:54 PM »
Just so I can get my bearings straight, what is this for anyway?

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Polyline Vertice (move/change)
« Reply #7 on: January 06, 2005, 01:56:46 PM »
Yes it is a puzzling request. :roll:
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

DanB

  • Bull Frog
  • Posts: 367
Polyline Vertice (move/change)
« Reply #8 on: January 10, 2005, 12:42:51 PM »
Let's see if I can clarify a little. First off, sorry for not getting back sooner, Friday was busy as can be, I'm sure you can relate.

We are running lot closure reports for Platting purposes. We have line work that makes up a Subdivision, right-of-ways, lots, tracts, etc. The easy way (opinion) is to use the "Boundary" command to create each closed Lot. Then define this as a Parcel in LDD. This will generate a report that we check against the Plat Bearings/Distances. For those of us that "nit-pick" (sp?) we would like each parcel to start at say the lower left corner and go in a clock-wise direction. As far as I know, the boundary command does not allow any user input of the starting point of the resulting polyline. Then in the report the Lot would follow in a clock-wise direction and ease the checking process.

Does this help at all, or just clutter things up?

Dan

whdjr

  • Guest
Polyline Vertice (move/change)
« Reply #9 on: January 13, 2005, 11:23:09 AM »
DanB,

I haven't forgoten about your problem, just been real busy.  I'll be gone the rest of the day, but I've been thinking about how to fix your problem.  I think I have a solution.  I will share it tomorrow after I finish it and test it.